Subject: Re: [MOBILE-IP] length field in vendor specific extension

From: Gopal Dommety <[email-masked]>
Date: Tue, 23 May 2000 11:42:08 -0700

Hello Woo-June:

>2.1. Critical Vendor/Organization Specific Extension (CVSE)
>
>   The format of this extension is as shown below.
>
>    0                   1                   2                   3
>    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |     Type      |   Reserved    |            Length             |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |                        Vendor/Org-ID                          |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |          Vendor-CVSE-Type     |    Vendor-CVSE-Value          |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
>
>
>             Figure 1: Critical Vendor/Organization Specific Extension
>
>   Type       38 (To be assigned by IANA)
>
>
>   Reserved   Reserved for future use. MUST be set to 0 on sending,
>              MUST be ignored on reception.
>
>   Length     Length in bytes of this extension, not including the
>              Type and Length bytes.
>
>....."
>
>
>I noticed that it seems unclear on whether the Reserved field should be
>included in the length field or not. If taken literally it seems you must
>include it, but not include the type and length fields on either side of it.
>
>Could you clarify ??
>

Length  feild should indicate Length in bytes of this extension, not including the  number of bytes in the Type field and Length field.

So it is the total number of bytes, not including the Type and Length feilds (it does not include the Vendor-NVSE/CVSE-Type).

Is the following clarification enough?

 Length     Length in bytes of this extension, not including the Type and Length feild bytes.

Thanks,
Gopal